Bug 520095 - PyQwt crash on import
Summary: PyQwt crash on import
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyQwt
Version: 11
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Tadej Janež
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 11:39 UTC by Dmitriy M Maslennikov
Modified: 2009-10-05 14:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-05 14:17:32 UTC


Attachments (Terms of Use)

Description Dmitriy M Maslennikov 2009-08-28 11:39:12 UTC
$ python
Python 2.6 (r26:66714, Jun  8 2009, 16:07:29)
[GCC 4.4.0 20090506 (Red Hat 4.4.0-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import PyQt4.Qwt5
Segmentation fault

Comment 1 christopher.williams 2009-09-22 15:14:47 UTC
Sometimes it segfaults, other times it gives the message:

$ python -c "from PyQt4 import Qwt5"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/PyQt4/Qwt5/__init__.py", line 32, in <module>
    from Qwt import *
RuntimeError: the sip module implements API v5.0 but the �}����% module requires API v3.8

Comment 2 Dmitriy M Maslennikov 2009-09-22 15:46:26 UTC
I just rebuild new version of PyQwt on my system. And it works perfectly.

I used spec-file from Fedora PyQwt package with small changes (change version and fix %files section).

Comment 3 Tadej Janež 2009-09-23 07:15:18 UTC
Thanks for reporting the problem and your suggestions on fixing it.

I'm working on an update.

Comment 4 Tadej Janež 2009-09-24 21:43:44 UTC
The update should be available in updates-testing repository.

For more information, see:
https://admin.fedoraproject.org/updates/PyQwt-5.2.0-1.fc11

Comment 5 Tadej Janež 2009-10-05 14:17:32 UTC
The updated package is in Fedora 11 stable repository.


Note You need to log in before you can comment on or make changes to this bug.